Page MenuHome

2.81 & 2.82 Eevee stops rendering in Rendered and Look Dev modes in viewports (macOS)
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Darwin-18.5.0-x86_64-i386-64bit 64 Bits
Operating system: Darwin-19.0.0-x86_64-i386-64bit 64 Bits
Graphics card: AMD Radeon Pro 555 OpenGL Engine ATI Technologies Inc. 4.1 ATI-2.8.38

Blender Version
Broken: version: 2.81 (sub 16), branch: master, commit date: 2019-10-27 13:40, hash: rB9b6aa740be31
Broken: version: 2.82 (sub 1), branch: master, commit date: 2019-11-20 21:25, hash: rBba1e9ae4733a
Worked: version: 2.80 (sub 75), branch: master, commit date: 2019-07-29 14:47, hash: rBf6cb5f54494e

Short description of error
When in rendered and look dev mode (particularly in shading tab), when selecting or moving objects like lights, objects disappear and go transparent. The objects are still selectable but when in either mode, they are not rendering. The only way to get them back is by saving the file, closing Blender and then reopening.

Exact steps for others to reproduce the error
When creating/editing materials and moving objects or changing the selection of objects in the scene (mainly in the Shading tab), objects will disappear and no longer render. Removing the material from the object and re-adding it, will not allow the object to show up in the viewport. When actually rendering the file the object does appear.

Issue happens in Eevee and when switching to cycles, the object renders in the viewport but if you switch back to Eevee, the object is still not rendering.

  1. Open new file
  2. Delete cube and add Suzanne
  3. Add 6 subdivisions using the subdivision modifier
  4. Go to Shading tab and go into either Material or Rendered viewport
  5. Duplicate existing lamp, move it to somewhere else in the scene
  6. Click the lamp or Suzanne and Suzanne will disappear

Before selecting a lamp:

Selected a lamp, the character disappeared however was still selectable (not in the viewport but by selecting in the collections window):

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Noteworthy I can't reproduce the problem on both Intel and the old AMD with "GPU_DEPRECATED_AMD_DRIVER"

In the "shading tab", everything works in wireframe mode, but in solid, material preview and rendered although I can select the lights and camera in the viewport, I cannot select the hi poly suzanne (click select or box select). At least I cannot see it in the viewport. Selecting in the outliner and deselecting works as expected.

I experience the exact same issue with Blender 2.81 on both of my Macs -- a 27" iMac and a MacBook Pro. I have included images of my specs. The bug makes blender 2.81 pretty much unusable (on my computers at least).

having the same (driving me crazy) issue on MacBook Pro 2016 amd 460 which seems blender doesn't utilize the dedicated graphics card only intel's, is there anyone know if the same issue happens with the new 16" MBP that has the new amd graphics card rx 5300M/5500M ?

@Omar Rahim (3Omar9) I have the issue on a 2017 MacBook Pro 15inch Touch and with a 2016 MacBook Pro 15inch Retina. 2017 happens on Mojave and Catalina and the 2016 happens on High Sierra.

I'm experiencing this bug as well on:

Blender 2.81 (release)
MacBook Pro (2018), MacOS 10.15.1 (19B88)
Radeon RX Vega 56 8 GB (The eGPU card that's normally connected when the issue occurs. The built in gpu is the Vega 20 and the second built in GPU is Intel UHD Graphics 630 1536 MB)

Can anyone try to run blender with --debug-gpu-force-workarounds and reproduce the bug?

Everything seems to work fine on HEAD with --debug-gpu-force-workarounds.

Can anyone try to run blender with --debug-gpu-force-workarounds and reproduce the bug?

What do you need me to do since I can replicate reliably?

having the same (driving me crazy) issue on MacBook Pro 2016 amd 460 which seems blender doesn't utilize the dedicated graphics card only intel's, is there anyone know if the same issue happens with the new 16" MBP that has the new amd graphics card rx 5300M/5500M ?

Yes, it does occur with an 8GB 5500m on the 16 inch MBP.

Óscar (Oxer) added a comment.EditedNov 26 2019, 5:21 PM

I have same the same issue on iMac 27 i7 (middle 2011) / 12GB RAM/ AMD Radeon HD 6970M 1GB / macos 10.13.6

This issue happens on Blender 2.81 & 2.82, I can't explain the exact steps to reproduce it but it happens very often when I change between workspaces or modes (Object to Edit, etc) and then I rotate the wiew.
I found a momentanius fix when this issue happens:

1) Go to the Outliner and select an object.
2) Go to the Layout workspace.
3) Change to Editing workspace.
4) Return to Layout workspace.
5) Click in an empty space in the viewport.

In the main cases, this solves the issue, but it is very difficult to work fluidly in Blender with this problem.
Please, Mac users need a solution soon.

@David Cherrie (davidcherrie) Run blender from command line using blender --debug-gpu-force-workarounds

See https://docs.blender.org/manual/en/dev/advanced/command_line/launch/macos.html

This does seem to resolve the problem. I haven't tested very extensively, but I tried two scenes where I've had the problem and they both worked for a few minutes without the issue. May I ask what that parameter does?

So... It's supposed to Mac's users to wait until Blender supports Vulcan, isn't it? It's a joke, right? 2.81 isn't a stable version. You guys want to run too faster for the releases. I only have Mac computers to work and I can't work with Blender. It's a shame. :(

@Clément Foucault (fclem) I just ran the with the --debug-gpu-force-workarounds flag on a MacBook Pro and I can still reproduce the bug with the original steps.

Output below:

Read prefs: /Users/mugurm/Library/Application Support/Blender/2.81/config/userpref.blend

GPU: Bypassing workaround detection.
GPU: OpenGL identification strings
GPU: vendor: ATI Technologies Inc.
GPU: renderer: AMD Radeon Pro 555X OpenGL Engine
GPU: version: 4.1 ATI-2.11.20

found bundled python: /Applications/Blender.app/Contents/Resources/2.81/python
ndof: using SpaceNavigator
Info: Deleted 1 object(s)

@Clément Foucault (fclem) I just ran the with the --debug-gpu-force-workarounds flag on a MacBook Pro and I can still reproduce the bug with the original steps.

[...]

@Mugur Marculescu (mugurm) is right. I can also reproduce it in the "Shader" tab with --debug-gpu-force-workarounds enabled.

@David Cherrie (davidcherrie) Run blender from command line using blender --debug-gpu-force-workarounds

See https://docs.blender.org/manual/en/dev/advanced/command_line/launch/macos.html

Have done and here is a recording.

https://developer.blender.org/p/fufletch/

@fulvio bosco (fufletch) I am having issues trying to add you as a subscriber from your duplicate report as I am on my phone, appologies.

Edit: Looks like it went through. Forgot to also add you @Maciej Jutrzenka (Kramon)

I have also been experiencing this bug randomly.

(15-inch, Mid 2012)
8 GB 1600 MHz DDR3
2.3 GHz Intel Core i7
NVIDIA GeForce GT 650M 512 MB
Intel HD Graphics 4000 1536 MB

Its happening in 2.82 2019-11-15.
I have access to a range of mac's in work and I can try to reproduce the error there. I don't remember it happening too frequently in work, but I don't use blender a lot in work at this time.

I have Windows running on Bootcamp on one of the MacBook Pros which is experiencing this bug (under MacOS of course).

I didn't have a chance to test extensively under Windows Bootcamp, but the first pass I was unable to reproduce this bug. Listing this here in case the clue is helpful.

Getting the same error here. Latest version of Mac OS and Blender 2.81.

It works again if you switch back and fourth and deselect things and change the viewport mode.

Disaster to work with though.

Same issue on my Mac Pro. I also lose ability to edit an object at times. Lights show up fine and can be moved. With Cycles I can some times get the model to show in Rendered View, but not Material and eevee doesn't show in either. I went back to 2.8 just to continue working. I tried the 2.82 Alpha and it was no different.

Specs:
MacPro Mid 2012
High Sierra 10.13.6 (on 500GB SSD)
3.33 GHz 6-Core Intel Xeon
16 GB 1333 MHz DDR3
AMD Radeon R9 280X 3072 MB

We were able to reproduce on a developer laptop. We will investigate this issue tomorrow.

Same here with Blender 2.81
on a Mac Mini 2012 with a 4k screen. Specs (copied) :

System Version:	macOS 10.15.1 (19B88)
Kernel Version:	Darwin 19.0.0
Boot Volume:	Macintosh HD
Boot Mode:	Normal
Computer Name:	***************
User Name:	*************

Model Name:	Mac mini
Model Identifier:	Macmini6,2
Processor Name:	Quad-Core Intel Core i7
Processor Speed:	2,6 GHz
Number of Processors:	1
Total Number of Cores:	4
L2 Cache (per Core):	256 KB

L3 Cache:	6 MB
Hyper-Threading Technology:	Enabled
Memory:	4 GB
Boot ROM Version:	281.0.0.0.0
SMC Version (system):	2.8f0

with Intel Graphics:

Chipset Model:	Intel HD Graphics 4000
Type:	GPU
Bus:	Built-In
VRAM (Dynamic, Max):	1536 MB
Vendor:	Intel
Device ID:	0x0166
Revision ID:	0x0009
Metal:	Supported, feature set macOS GPUFamily1 v4
Displays:
U28D590:
Resolution:	3840 x 2160 (2160p/4K UHD 1 - Ultra High Definition)
UI Looks like:	3840 x 2160 @ 30 Hz
Framebuffer Depth:	24-Bit Color (ARGB8888)
Main Display:	Yes
Mirror:	Off
Online:	Yes
Rotation:	Supported
Automatically Adjust Brightness:	No
Connection Type:	DisplayPort

was happily playing with sculpting
problem started when adding three point lights
in Eevee render mode

dupoxy added a subscriber: dupoxy.Nov 28 2019, 5:40 PM

Hello Clément
(Eevee stopped rendering)
You have found the bug and fixed it, great!
I just logged in here to report my error info, hoping was helpful.
Because I am not familiar with the developer's procedures/way of working,
I'd like to ask:
-will there be a new download for 2.81 with this fix
or
-will this fix be done in 2.82 only (hope not)
In both cases, when will this fix be available for "normal users" ?
Thank you.
TedvG

-will there be a new download for 2.81 with this fix

Yes we are planning to do a 2.81a release because of this bug.

when will this fix be available for "normal users" ?

You will be able to test with the next buildbot version (2.82 beta) tomorrow.

Viewport bugs have been fixed.
Thank you.

How we can test this fix?
Latest blender 2.82 from 30 Novemver still unresponsible in EEVEE mode (10.15.1 + RX5700 XT)

I try to test with this demo file: https://download.blender.org/demo/eevee/archiviz/archiviz.blend

There are very slow viewport under material view & render modes.

During sculpting this morning the issue returned for me..
I can't tell exactly the things I did.. but the fact that it happened means there is still something not quite alright.. sorry..

As soon as I can reproduce the issue consistently, I'll report back.

Where can the fixed version be downloaded? Official one has the same bug on iMac 27 2017.
Waited for 2.81 release to start a new project, and now can't do any serious work with it.
2.80 worked like a charm.
Thank you.

@Filip (Filemoner) try 2.82 alpha from https://builder.blender.org/download/
as @Clément Foucault (fclem) said, it's possible 2.81a will be released soon....

Where can the fixed version be downloaded? Official one has the same bug on iMac 27 2017.
Waited for 2.81 release to start a new project, and now can't do any serious work with it.
2.80 worked like a charm.
Thank you.

@Filip (Filemoner): Go to blender.org. Click 'download 2.81". scroll down and you will see "go experimental". This is the nightly builds. Todays version should have the fix.

Thank you all,
tried 2.82 alpha,
and there were no vanishing objects.

@Stanislav (SK) This bug is about disappearing objects not EEVEE speed. The workaround is expected to slowdown things a bit. How much ? I can't say.

@Roel Koster (kostex) you are the only one who still encounter this bug, could you confirm you did with the latest 2.82 beta?

Clément,

Like I've stated, it happened during extensive editing/sculpting/remeshing etc.. but not right away as before.. so I can't reproduce consistently.
I'm not asking to re-open this case, just wanted to tell you/others that I did witness the issue while working on a scene after the patch.
Could be a completely different cause, but the result was the same.
So as far as I'm concerned/have a say in this, leave the case closed. I'll report back as soon/if I encounter the issue again and can reproduce it.

And yes.. I (always) compile with the latest commits added.

Regards,
your biggest fan ;-)

it's happening for me as soon as I enter render mode. It started last week intermittently. It seems like when I try to zoom or pan everything disappears. Downloaded latest experimental and seems worse.
Was on 2.8 and 2.81 when it started
https://share.getcloudapp.com/OAuLKRxm

I'm still getting this error in 2.82.

Meshes randomly disappear in the lookdev view and the only way I've found to fix it is to close and reopen Blender.

@Dawood (dawood) can you simplify your scene and give us the blend file?

2.81a: Objects no longer disappear here!
Looks like this problem is solved.
I've downloaded Blender 2.81a on my Mac Mini with Catalina
(see previously entered specs)

loaded the .blend file with the objects that disappeared in previous version 2.81

Playing (ehhrm.. working :o) with it for about 2 hours now,
sculpting with several objects, deleting them, creating new ones,
changing back and forth between workspace render modes etc.
Thanks!

Filip (Filemoner) added a comment.EditedDec 12 2019, 2:07 PM

I was wondering, does this fix (2.81a) change performance of Blender? I can't work in Eevee LookDev with some heavy scenes, that work in 2.80
Thanks!

I was wondering, does this fix (2.81a) change performance of Blender? I can't work in Eevee LookDev with some heavy scenes, that work in 2.80
Thanks!

yes it has a performance impact. At this point we are adding workaround on top of workaround for osx and it's becoming a problem.

@Clément Foucault (fclem) I can still reproduce it with this file:

How to reproduce:

  1. try selecting the room object and switch to edit mode - you cannot select anything. In any other mode than wireframe you cannot see your selection at all.

System Information
Operating system: Darwin-18.7.0-x86_64-i386-64bit 64 Bits
Graphics card: AMD Radeon Pro 560X OpenGL Engine ATI Technologies Inc. 4.1 ATI-2.11.20

Blender Version
Broken: version: 2.82 (sub 4), branch: master (modified), commit date: 2019-12-10 19:44, hash: rBe760972221e6

filip mond (vklidu) added a comment.EditedDec 15 2019, 3:46 PM

You have disabled "Show Overlays". Enabling it - select / deselect go to edit mode ... works for me.

Gosh. Your right. Sorry for the noise.